import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay"
import "GambitHelper2.Class"
import "GambitHelper2.Core"
import "GambitHelper2.Commands"
import "GambitHelper2.Settings"
import "GambitHelper2.GambitData"
import "GambitHelper2.Vitals"
import "Deusdictum.UI.Dragbar"

Turbine.Shell.WriteLine("<rgb=#9ACD32>Gambit Helper 2</rgb> <rgb=#DDDDDD>v 0.6.0 by DemiGoth, original coding by zanttux.</rgb>")

--_ghData=settingsDecode(Turbine.PluginData.Load( Turbine.DataScope.Character, "GambitHelper2" ))
--_ghData=Turbine.PluginData.Load( Turbine.DataScope.Character, "GambitHelper2" )

local tempLoad = Turbine.PluginData.Load( Turbine.DataScope.Character, "GambitHelper2" )
if(tempLoad~=nil)then
	_ghData=settingsDecode(tempLoad)
else
--if _ghData==nil then
	local _displayWidth, _displayHeight = Turbine.UI.Display.GetSize();
	local _centerX = _displayWidth/2;
	local _centerY = _displayHeight/2;
	_ghData={x1=_centerX-396,y1=_centerY-400,x2=_centerX+198,y2=_centerY-400,sx=100,sy=100,ooc_visibility=false,showall=false,icons=false,vitals=true}
	SelectNone()
end

_fontColor = Turbine.UI.Color(0.69, 0.69, 0.44 )
_fontColorHeader = Turbine.UI.Color(0.9, 0.9, 0.75 )

CreateDisplay()
FilterGambitList()
UpdateDisplay()

-- test
UpdateMorale()
UpdatePower()
 
 --unload
if ( Plugins ["GambitHelper2"] ~= nil ) then
	Plugins["GambitHelper2"].Unload = function( sender, args )
		SaveSettings()
		Turbine.Shell.WriteLine("<rgb=#9ACD32>Gambit Helper:</rgb> <rgb=#DDDDDD>Unloading...</rgb>")
	end
end
