VitalsBar = class( Turbine.UI.Control );

function VitalsBar:Constructor(image)
	Turbine.UI.Control.Constructor( self );

	self:SetBackColor( Turbine.UI.Color( 0.75, 0, 0, 0 ) );
	
	self.fillBar = Turbine.UI.Control();
	self.fillBar:SetBackground(_imageDir..image);
	self.fillBar:SetParent( self );
	self.fillBar:SetPosition(2,1);
	
	self.text = Turbine.UI.Label();
	self.text:SetForeColor( Turbine.UI.Color( 1, 1, 1, 1 ) );
	self.text:SetOutlineColor( Turbine.UI.Color( 1, 0, 0, 0 ) );
	self.text:SetFontStyle( Turbine.UI.FontStyle.Outline );
	self.text:SetFont( Turbine.UI.Lotro.Font.Verdana10 );
	self.text:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	self.text:SetZOrder( 101 );
	self.text:SetParent( self );
	self.text:SetPosition(0,0);
	self.text:SetSize(180,14);
	
	self.horizontalLayout = Turbine.UI.HorizontalLayout.LeftToRight;
end

function VitalsBar:SetMouseVisible( value )
	Turbine.UI.Control.SetMouseVisible( self, value );
	self.fillBar:SetMouseVisible( value );
	self.text:SetMouseVisible( value );
end

function VitalsBar:Update(width,text)
	self.fillBar:SetSize(width,14);
	self.text:SetText(text)
end
